#include <cstdint>

#pragma once

class ButtonEventArgs
{
public:
    enum class Type : uint8_t { cShortPress, cLongPress, cVeryLongPress };
    enum class Source : uint8_t { cButton0, cButton1 };

    constexpr ButtonEventArgs(Type type, Source source) : type(type), source(source) {}

    Type type;
    Source source;
};
